Bug 122803 - Gallery import: File picker window title not localizable
Summary: Gallery import: File picker window title not localizable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-01-18 12:13 UTC by Dian Li
Modified: 2019-03-21 21:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Reproduced on Windows 10 with LO 6.1 stable (208.33 KB, image/png)
2019-01-18 12:13 UTC, Dian Li
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dian Li 2019-01-18 12:13:07 UTC
Created attachment 148425 [details]
Reproduced on Windows 10 with LO 6.1 stable

(Bug found by user: YQ-YSY)

Writer sidebar - Gallery - New theme... - File  - Add.

Note: not reproducible on macos.



The dialog window title is hard coded in /cui/source/dialogs/cuigaldlg.cxx [1]:
  SvxOpenGraphicDialog aDlg("Gallery", GetDialogFrameWeld());

Bug was introduced in commit ea2c80bdcd862f91dd7429184aea29d9a77f9774 [2].

[1] https://github.com/LibreOffice/core/blob/c56a8280bdd605f77f0075a7f2bfa474aa2a26e5/cui/source/dialogs/cuigaldlg.cxx#L930
[2] https://github.com/LibreOffice/core/commit/ea2c80bdcd862f91dd7429184aea29d9a77f9774#diff-a83300be933b53d9350996ed4f198f54R1134
Comment 1 Xisco Faulí 2019-01-21 18:47:33 UTC
You can't confirm your own bugs. Moving it back to UNCONFIRMED until someone
else confirms it.
Comment 2 Xisco Faulí 2019-03-21 12:41:30 UTC
Reproduced in

Versión: 6.2.2.1
Id. de compilación: fcd633fb1bf21b0a99c9acb3ad6e526437947b01
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

and

Versión: 5.3.7.2
Id. de compilación: 6b8ed514a9f8b44d37a1b96673cbbdd077e24059
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; Motor de trazado: HarfBuzz; 
Configuración regional: es-ES (es_ES); Calc: group
Comment 3 Xisco Faulí 2019-03-21 12:43:36 UTC
According to the description, the bug was introduced in https://cgit.freedesktop.org/libreoffice/core/commit/?id=ea2c80bdcd862f91dd7429184aea29d9a77f9774.

Adding Cc: to Noel Grandin
Comment 4 Xisco Faulí 2019-03-21 12:43:59 UTC
@Caolán, I thought you could be interested in this issue...
Comment 5 Caolán McNamara 2019-03-21 14:41:06 UTC
There is handy already localized string available nearly so can be done backportably
Comment 6 Commit Notification 2019-03-21 16:30:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e33e0e00788c268a6567520bcaaf0ebe23bc261c%5E%21

Resolves: tdf#122803 make gallery 'add' dialog title localized

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-03-21 16:31:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ddf479c183ef906ddc7eaff96c0fb9992d34aae1%5E%21

Resolves: tdf#122803 make gallery 'add' dialog title localized

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.